%global srcname pytest-fixture-config

Summary:        sum Simple configuration objects for Py.test fixtures
Name:           python-%{srcname}
Version:        1.7.0
Release:        5%{?dist}
License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python3-devel python3-setuptools python3-pytest python3-six

BuildArch:      noarch

%description
Simple configuration objects for Py.test fixtures.  Allows you to skip tests when their required
config variables aren't set.

%package -n python3-%{srcname}
Summary:        sum Simple configuration objects for Py.test fixtures

%description -n python3-%{srcname}
Simple configuration objects for Py.test fixtures.  Allows you to skip tests when their required
config variables aren't set.

%prep
%autosetup -n %{srcname}-%{version}

sed -i -e '/setuptools-git/d' common_setup.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%doc README.md CHANGES.md
%{python3_sitelib}/*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 10 2023 Shuo Wang <abushwang@tencent.com> - 1.7.0-1
- initial build
